<style>
	.contactTop{
		width:100%;
		height:250px;
		border-bottom:1px solid #d1d1d1;
	}
	.contanctInfo{
		font-size:15px;
		margin:20px;
	}
	.contancTel{
		color:#dd524d;
		margin:10px 0;
	}
	.contanctJob{
		font-size:13px;
		color:#999ca1;
	}
</style>
<template>
	<view class="contanctDetail" style="height:100vh;">
		<view class="contactTop">
			<img :src="dataList.BgImg" style="width:100%;height:100%;" alt=""/>
		</view>
		<view class="contanctInfo">
			<view>姓名：{{dataList.Name}}</view>
			<view class="contancTel">电话：{{dataList.Tel}}</view>
			<view class="contanctJob">职位：{{dataList.Position}}</view>
		</view>
		<u-divider>简单介绍</u-divider>
		<view style="margin:20px;">
			{{dataList.Intro}}
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				pageTitle: "联系人详情",
				msg:{
					Id:0
				},
				dataList:{}
			};
		},
		mounted() {
			uni.setNavigationBarTitle({
				title: this.pageTitle,
			});
		},
		onLoad(options) {
			this.msg.Id = options.Id;
			this.getList();
		},
		created() {},
		onShow() {
			this.mainColor = this.$uiConfig.mainColor;
		},
		methods: {
			//获取数据
			getList() {
				this.request2({
						url: "/api/Trade/GetContract",
						data: this.msg,
					},
					(res) => {
						uni.hideLoading();
						if (res.resultCode == 1) {
							console.log(res,'数据来也');
							this.dataList = res.data;
						}
					}
				);
			},
		},
	}
</script>